| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

Loading...
Searching...
No Matches
Classes | Functions
Version

SDK Build type and version info. More...

## Classes
struct | fsdk::Version

## Functions
bool | fsdk::operator< (Version lhs, Version rhs) noexcept
| Check if one version is less than another.
bool | fsdk::operator== (Version lhs, Version rhs) noexcept
| Check if versions are equal.
bool | fsdk::operator!= (Version lhs, Version rhs) noexcept
| Check if versions are not equal.
FSDK_API Version | fsdk::getVersion () noexcept
| Get FaceEngine version.
FSDK_API const char * | fsdk::getVersionHash () noexcept
| Get FaceEngine commit hash.
FSDK_API const char * | fsdk::getVersionString () noexcept
| Get FaceEngine version string.
FSDK_API const char * | fsdk::getRuntimeVersion () noexcept
| Get the version of FaceEngine runtime.
FSDK_API const char * | fsdk::getBuildInfo () noexcept
| Get FaceEngine build description. The descripton contains used flags and compler settings.

## Detailed Description

SDK Build type and version info.

## Function Documentation

## ◆ getBuildInfo()

FSDK_API const char * fsdk::getBuildInfo | ( |  | ) |
| noexcept

Get FaceEngine build description. The descripton contains used flags and compler settings.

Returns
  description as a null-terminated string.

## ◆ getRuntimeVersion()

FSDK_API const char * fsdk::getRuntimeVersion | ( |  | ) |
| noexcept

Get the version of FaceEngine runtime.

Returns
  version as a null-terminated string.

## ◆ getVersion()

FSDK_API Version fsdk::getVersion | ( |  | ) |
| noexcept

Get FaceEngine version.

Returns
  filled version structure.

## ◆ getVersionHash()

FSDK_API const char * fsdk::getVersionHash | ( |  | ) |
| noexcept

Get FaceEngine commit hash.

Returns
  commit hash as a null-terminated string.

## ◆ getVersionString()

FSDK_API const char * fsdk::getVersionString | ( |  | ) |
| noexcept

Get FaceEngine version string.

Returns
  version as a null-terminated string.

## ◆ operator!=()

bool fsdk::operator!= | ( | Version | lhs,
|  | Version | rhs )
| inline noexcept

Check if versions are not equal.

Parameters

  lhs | first version
  rhs | second version

Returns
  true if versions are not equal

## ◆ operator<()

bool fsdk::operator< | ( | Version | lhs,
|  | Version | rhs )
| inline noexcept

Check if one version is less than another.

Parameters

  lhs | first version
  rhs | second version

Returns
  true if lhs is less than rhs

## ◆ operator==()

bool fsdk::operator== | ( | Version | lhs,
|  | Version | rhs )
| inline noexcept

Check if versions are equal.

Parameters

  lhs | first version
  rhs | second version

Returns
  true if versions are equal